Bug 50691 - Incorrect operation following upgrade to kernel-2.4.3-12
Incorrect operation following upgrade to kernel-2.4.3-12
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-02 05:33 EDT by Dave J
Modified: 2007-03-26 23:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-06 12:24:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave J 2001-08-02 05:33:26 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
During upgrade of kernel

Error: /removal of /lib/modules/2.4.2-2/modules.usbmap failed: No such 
file or directory
( error repeated for modules.pcimap, modules.parportmap, 
modules.isapnpmap, and modules.generic_string )



How reproducible:
Always

Steps to Reproduce:
1. Install RH7.1 
2.install new kernel ( kernel-2.4.3-12 ) ( rpm -v -F kernel-2.12.3-
12.i686.rpm
3.


Actual Results:  On reboot get a number of error, including no networking.

Bootup errors include:

modprobe:Can't open dependencies file /lib/modules/2.4.2-2/modules.dep ( 
no such file or directory ).

depmod: Can't opens /lib/modules/2.4.2-2/modules.dep .......

At login prompt on console, kernel still reported as 2.4.2-2

Also rpm -qa | grep kernel, also still reports 2.4.2-12

Expected Results:  No errors during upgrade
Reboot work fine ( as before )

Additional info:

I was installing several of the security advisory and bug fix rpms at the 
same time ( ie I did rpm -v -F *.rpm ).

The order they installed was
SysVinit-2.78-17
cpp-2.96-85
docbook-styledsssl-1.64-2
gcc-2.96-85
( several other gcc ones )
gftp-2.0.8-1
gnupg-1.0.6-1
kernel-2.4.3-12
error: removal of /lib/modules .... ( as listed above )
Comment 1 Arjan van de Ven 2001-08-02 05:36:35 EDT
2 things: 
1) kernel's shouldn't be "rpm -U'd" but installed first, so that you can always
go back
2) You most likely forgot to rerun lilo so lilo tried to boot the old kernel!

See
       
http://www.redhat.com/support/docs/howto/kernel-upgrade/kernel-upgrade.html

for more information on how to upgrade kernels.
Comment 2 Dave J 2001-08-02 07:24:50 EDT
Error messages still exist when installing rpm, but errors on subsequent reboot 
due to forgetfulness on my part !! ( lilo -v !!!!  - remembered to change 
lilo.conf, forgot about outputting it to boot sector !! ).

Can't lilo.conf be updated from rpm ( even lilo -v run ), or is it not done 
because want administrator to check everything OK from install before 
committing it ??

Have downgraded priority and severity !!
Comment 3 Arjan van de Ven 2001-08-02 07:28:57 EDT
I've fixed the modules.usbmap errormessage for the next build. Thanks for the
report on that one.

We don't run lilo for several reasons, the most important one being that people
just don't expect it as a side-effect of rpm -i (it also sucks if you're running
grub :)

the up2date tool will do lilo, but is VERY VERY careful about it, and will only
ADD new kernels, and will not remove old ones.

Note You need to log in before you can comment on or make changes to this bug.